## com.google.appengine.api.files.dev
Enum FileMetadata.OpenState

    java.lang.Object
      java.lang.Enum<FileMetadata.OpenState>
          com.google.appengine.api.files.dev.FileMetadata.OpenState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FileMetadata.OpenState>

Enclosing class:
  FileMetadata

    public static enum FileMetadata.OpenState

extends java.lang.Enum<FileMetadata.OpenState>

The state of a file in a particular session.

Enum Constant Summary
`CLOSED`
`OPENED_FOR_APPEND`
`OPENED_FOR_READ`

Method Summary
`static FileMetadata.OpenState` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FileMetadata.OpenState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPENED_FOR_READ

    public static final FileMetadata.OpenState OPENED_FOR_READ

### OPENED_FOR_APPEND

    public static final FileMetadata.OpenState OPENED_FOR_APPEND

### CLOSED

    public static final FileMetadata.OpenState CLOSED

Method Detail

### values

    public static FileMetadata.OpenState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileMetadata.OpenState c : FileMetadata.OpenState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileMetadata.OpenState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null